메인 콘텐츠로 건너뛰기
POST
/
projects
Create a project
curl --request POST \
  --url https://api.youka.io/api/v1/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "inputFileId": "<string>",
  "lyricsSource": {
    "type": "<string>"
  },
  "presetId": "<string>"
}
'
import requests

url = "https://api.youka.io/api/v1/projects"

payload = {
"title": "<string>",
"inputFileId": "<string>",
"lyricsSource": { "type": "<string>" },
"presetId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
inputFileId: '<string>',
lyricsSource: {type: '<string>'},
presetId: '<string>'
})
};

fetch('https://api.youka.io/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "projectId": "<string>",
  "taskId": "<string>",
  "projectUrl": "<string>",
  "taskUrl": "<string>"
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

헤더

Idempotency-Key
string

본문

application/json
title
string
필수
Minimum string length: 2
inputFileId
string
필수
splitModel
enum<string>
필수
사용 가능한 옵션:
mdx23c,
audioshakeai,
audioshake_vocals_lead,
musicai_instrumental_only,
musicai_lead_backing_other,
musicai_with_backing_vocals,
musicai_without_backing_vocals,
uvr_mdxnet_kara_2,
bs_roformer,
mel_band_roformer_instrumental_becruily,
mel_band_roformer_instrumental_instv7_gabox,
demucs
lyricsSource
object
presetId
string

응답

202 - application/json

Project creation task accepted

projectId
string
필수
taskId
string
필수
projectUrl
string<uri>
필수
taskUrl
string<uri>
필수